$breakpoints: (
  "xs": (
    min-width: 567px
  ),
  "sm": (
    // Extra small devices
      min-width: 768px
  ),
  "md": (
    // Small devices
      min-width: 992px
  ),
  "lg": (
    // Medium devices
      min-width: 1200px
  ),
  "m-lg": (
    // Large devices
      max-width: 1200px
  ),
  "m-md": (
    // Max Large devices
      max-width: 992px
  ),
  "m-sm": (
    max-width: 768px
  ),
  "m-xs": (
    max-width: 567px
  )
) !default;
/// Mixin to manage responsive breakpoints
@mixin media-breakpoint($breakpoint) {
  // If the key exists in the map
  @if map-has-key($breakpoints, $breakpoint) {
    // Prints a media query based on the value
    @media #{inspect(map-get($breakpoints, $breakpoint))} {
      @content;
    }
  }
  // If the key doesn't exist in the map
  @else {
    @warn "Unfortunately, no value could be retrieved from `#{$breakpoint}`. "
            + "Available breakpoints are: #{map-keys($breakpoints)}.";
  }
}
